Jump to content
  • Advertisement

Archived

This topic is now archived and is closed to further replies.

Zeddy

Why cant i get directX to work!!!

This topic is 6534 days old which is more than the 365 day threshold we allow for new replies. Please post a new topic.

If you intended to correct an error in the post then please contact us.

Recommended Posts

i have directX 7.0 SDK and MSVC++ 6 an im trying to get it to work, but everytime i compile it i get errors... i have included ddraw.dll in the project/link thingy... AAAAAHHHHRRRRGGG

Share this post


Link to post
Share on other sites
Advertisement
Guest Anonymous Poster
your compiler comes with DirectX 1.0
and when you include ddraw.h you r icluding DD 1.0

and sure your compiler doesn''t know what the heck
LPDIRECTDRAW7 or LPDIRECTDRAWSURFACE7 are.

so all you have to do it to get your compiler to include DD 7.0.

header files and *.libs come within the SDK.

go get ''em

Share this post


Link to post
Share on other sites
Guest Anonymous Poster
your compiler comes with DirectX 1.0
and when you include ddraw.h you r icluding DD 1.0

and sure your compiler doesn''t know what the heck
LPDIRECTDRAW7 or LPDIRECTDRAWSURFACE7 are.

so all you have to do is get your compiler to include DD 7.0.

header files and *.libs come within the SDK.

go get ''em

Share this post


Link to post
Share on other sites
You shouldn''t include directdraw.dll should you? Directdraw.lib is a lot better.

Share this post


Link to post
Share on other sites
Not only that, but make sure you''re calling the right version of DirectX when you query for the object from COM. If you don''t request the latest version, then you will get errors if you try and use DirectX 7 functions with and older version.

******************************
"I do not fear computers, I fear the lack of them"

- Isaac Asimov

Drew Sikora
Napali Networks, Inc.

Share this post


Link to post
Share on other sites
i think what anonymous was getting at is you may be including the wrong version of dx headers, add the directories where the ''new'' versions of headers and libs are in ''Tools|Options...Directories'' and make sure they are at the top.


crazy166
some people think i'm crazy, some people know i am

Share this post


Link to post
Share on other sites

  • Advertisement
×

Important Information

By using GameDev.net, you agree to our community Guidelines, Terms of Use, and Privacy Policy.

We are the game development community.

Whether you are an indie, hobbyist, AAA developer, or just trying to learn, GameDev.net is the place for you to learn, share, and connect with the games industry. Learn more About Us or sign up!

Sign me up!